ACompletionData(3)

NAME
ACompletionData - The ACompletionData class provides data to QCompleters and QHashs used for mapping user input to database keys. It retreives the completer targets and mapping data from the database and caches it for fast access without the need to query the database.

SYNOPSIS

#include <acompletiondata.h>

  Public Member Functions
void init ()
init Retrieves Data and populates Lists and Maps
void update ()
updates data from the user modifiable tables
void updateTails ()
void updatePilots ()

  Public Attributes
QHash< int, QString > pilotsIdMap
QHash< int, QString > tailsIdMap
QHash< int, QString > airportIcaoIdMap
QHash< int, QString > airportIataIdMap
QHash< int, QString > airportNameIdMap
QStringList pilotList
QStringList tailsList
QStringList airportList
UserDataState current_state

Detailed Description

The ACompletionData class provides data to QCompleters and QHashs used for mapping user input to database keys. It retreives the completer targets and mapping data from the database and caches it for fast access without the need to query the database.

Author

Generated automatically by Doxygen for openPilotLog from the source code.